Skip to main content
GET
/
v1
/
wallets
/
{wallet_id}
/
earn
/
ethereum
/
incentive
/
claim
Get claimed incentive rewards
curl --request GET \
  --url https://api.privy.io/v1/wallets/{wallet_id}/earn/ethereum/incentive/claim \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "claimed_rewards": [
    {
      "token_address": "0x0000000000000000000000000000000000000000",
      "token_symbol": "MORPHO",
      "token_decimals": 18,
      "amount": "1000000000000000000"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

Query Parameters

chain
string
required

Chain name to fetch claimed rewards for (e.g. "base", "ethereum").

Response

200 - application/json

Claimed rewards retrieved successfully.

All incentive rewards claimed by a wallet, aggregated by token.

claimed_rewards
EarnIncetiveClaimRewardEntry · object[]
required

Rewards claimed through Privy, aggregated by token across all successful incentive claims.